# Jobsworth


A set of utility functions and classes to aid in build Spark jobs on the Azure Databricks Platform.

## Spark Job

+ [Spark Job](docs/job/spark-job.md)
+ Job Configuration

## Util Module

+ [Secrets](docs/util/secrets.md)
+ Spark Session

## Model Module

+ [The Model Module](docs/model/model.md)

## Repository Module

+ [Database and Table](docs/repo/repository.md)

## Structure Module

The Structure module provides functions for building a more abstract definition of a Hive table schema and abstractions
for creating table, column and cell data which can be provided as the data argument when creating a dataframe.

+ [Generating Table Schemas from PUML Models Model Generation](docs/structure/puml-to-table-dsl.md)
+ [Turning the output of a dataframe printSchema command into a PUML class diagram](docs/structure/hive-print-schema-to-puml-class-model.md)
+ [Table Schema Definition](docs/structure/table-schema.md)


